# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::StreamFrameOutput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamFrameOutput:

List of all members.

## Public Member Functions

- StreamFrameOutput (std::ostream *op_ptr, const SourceParams &sp)
- virtual ~StreamFrameOutput ()
    virtual Destructor
- bool WriteToNextFrame (const Picture &myframe)
    Write the next frame to the output.

## Protected Member Functions

- bool WriteFrameComponent (const PicArray &pic_data, const CompSort &cs)
    Write a frame component to file.

## Private Member Functions

- StreamFrameOutput ()
    Body-less Default Constructor.

## Constructor & Destructor Documentation

dirac::StreamFrameOutput::StreamFrameOutput | ( | std::ostream * | op_ptr,
|  | const SourceParams & | sp |
| ) |  |  |

Constructor, takes

Parameters:

  | op_ptr | the output stream object
  | sp | the source parameters

virtual dirac::StreamFrameOutput::~StreamFrameOutput | ( |  | ) | `[virtual]`

dirac::StreamFrameOutput::StreamFrameOutput | ( |  | ) | `[private]`

## Member Function Documentation

bool dirac::StreamFrameOutput::WriteFrameComponent | ( | const PicArray & | pic_data,
|  | const CompSort & | cs |
| ) |  |  | `[protected]`

bool dirac::StreamFrameOutput::WriteToNextFrame | ( | const Picture & | myframe | ) | `[virtual]`

Implements dirac::StreamPicOutput.

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.